List a company's tax filings
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/tax-filings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clemta.com/v1/companies/{companyID}/tax-filings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/tax-filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"items": [
{
"object": "tax_filing",
"id": "txf_0346sFPEvSkJvY8vt14NNw",
"company": "<string>",
"year": 2025,
"type": "federal",
"status": "draft",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"progress": "draft",
"form": {
"corp_info": {
"name": "<string>",
"state": "<string>",
"entity_type": "llc",
"industry": "<string>",
"parent_company": "<string>",
"ein": "<string>",
"formation_date": "<string>",
"initial_return": true,
"issued_shares": 1,
"gross_assets": 1,
"dba": "<string>",
"principal_business_activity": "<string>"
},
"contact": {
"address": {
"country": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>"
},
"phone": "<string>",
"phone_country": "<string>",
"email": "[email protected]",
"principal_place_of_business": {
"country": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>"
}
},
"additional_questions": {
"has_employees": true,
"made_1099_payments": true,
"form_1099_files": [
"<string>"
],
"purchased_assets": true,
"owns_non_us_corp": true,
"has_us_physical_presence": true
},
"owners": [
{
"name": "<string>",
"title": "<string>",
"type": "<string>",
"ftin": "<string>",
"itin": "<string>",
"ssn": "<string>",
"ein": "<string>",
"phone": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>"
},
"capital_contributions": 1,
"percentage_owned": 50
}
],
"revenue_expenses": {
"sales": {
"gross_sales": 1,
"returns_and_allowances": 1,
"sales": 1
},
"cost_of_goods_sold": {
"beginning_inventory": 1,
"purchases": 1,
"ending_inventory": 1
},
"expenses": {},
"principal_business_activity": "<string>"
},
"balance_sheet": {
"lines": {},
"principal_business_activity": "<string>"
},
"fixed_assets": [
{
"title": "<string>",
"placed_in_service": "2023-12-25",
"cost": 1,
"salvage_value": 1,
"business_use": 50
}
],
"officers": [
{
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>"
}
}
],
"directors": [
{
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>"
}
}
]
},
"form_1099_count": 123,
"submittable": true,
"missing": [
{
"field": "contact.email",
"reason": "required"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}Tax filings
List a company's tax filings
Every federal and state filing opened on the company, newest year first, with its review status and progress. Filings are opened from the client’s against the company’s entitlements. Read them here.
GET
/
companies
/
{companyID}
/
tax-filings
List a company's tax filings
Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Path Parameters
ID of the company.
Pattern:
^cmp_[0-9A-Za-z]{22}$⌘I